summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2018-10-13 17:36:11 -0500
committerErik Mackdanz <stasibear@gentoo.org>2018-10-13 17:37:55 -0500
commit2e422564a20244f01f7ae40c7a7d28f43216cd31 (patch)
treefb6e1853675efe43f7f2b683dcc3294275cfdb2e /sys-fs/lxcfs/files
parentdev-python/flake8-import-order: new package (diff)
downloadgentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.tar.gz
gentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.tar.bz2
gentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.zip
sys-fs/lxcfs: Bump to 3.0.2
Signed-off-by: Erik Mackdanz <stasibear@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'sys-fs/lxcfs/files')
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch15
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.2.initd26
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch b/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch
new file mode 100644
index 000000000000..99a5addf1d10
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch
@@ -0,0 +1,15 @@
+--- /config/init/systemd/lxcfs.service.orig 2018-10-13 17:24:46.534035126 -0500
++++ /config/init/systemd/lxcfs.service 2018-10-13 17:25:33.007034294 -0500
+@@ -5,10 +5,10 @@
+ Documentation=man:lxcfs(1)
+
+ [Service]
+-ExecStart=/usr/bin/lxcfs /var/lib/lxcfs/
++ExecStart=/usr/bin/lxcfs -o allow_other,nonempty /var/lib/lxcfs/
+ KillMode=process
+ Restart=on-failure
+-ExecStopPost=-/bin/fusermount -u /var/lib/lxcfs
++ExecStopPost=-/usr/bin/fusermount -u /var/lib/lxcfs
+ Delegate=yes
+
+ [Install]
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.2.initd b/sys-fs/lxcfs/files/lxcfs-3.0.2.initd
new file mode 100644
index 000000000000..52d8202d7ac3
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.2.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -o allow_other,nonempty /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}